---
title: "Submit Application"
source_url: https://docs.rapyd.net/en/submit-application.html
lang: en
---

# Submit Application

Use the POST method to submit an application. An application can be submitted only after all its required fields have been filled out and all required documents have been uploaded.

> **Note:**
>
> An application cannot be modified after it has been submitted.

**Prerequisites:**

- Create application for the proprietor type. For example, [Create Application - Sole Prop. Card Present](https://docs.rapyd.net/en/create-application---sole-prop--card-present.md "Create Application - Sole Prop. Card Present")
- [Update Application](https://docs.rapyd.net/en/update-application.md "Update Application")
- [Upload Document to Application](https://docs.rapyd.net/en/upload-document-to-application.md "Upload Document to Application")
- Run [Retrieve Application](https://docs.rapyd.net/en/retrieve-application-600676.md "Retrieve Application") to ensure that there are no errors in the form that prevent it from being successfully submitted.

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).
- - merchant_account_id
  - The merchant account ID that was provided to you when you created the organization. See also [Create Organization](https://docs.rapyd.net/en/create-organization.md "Create Organization").

### Request Body Parameters

There are no body parameters for this request.

### Response

- - ewallet
  - ID of the merchant wallet. String starting with **ewallet_**.

- - merchant_phone_number
  - Phone number details of the merchant.

    - - phone_country_code
      - The two-letter ISO 3166-1 ALPHA-2 code for the country of the phone number.

    - - phone_number
      - The phone number of the merchant without the international phone code.

- - token
  - Identifier of the application. String starting with **app_**.

- - version
  - The version number of the application. The version is incremented by 1 each time it is updated.

- - status
  - The following statuses of the application are available:

    - **New**: Application was created but not yet submitted.
    - **Submitted**: Application has been submitted. All required fields were completed.
    - **Pending Review**: An application is waiting in the queue to be reviewed.
    - **In Review**: An application is being reviewed by a CompOps Analyst.
    - **Approved**: Application has been approved, either manually or automatically.
    - **Limited Approval**: Application was approved with limits, either manually or automatically.
    - **Rejected**: Application was rejected, either manually or automatically.
    - **BACKLOG**: If there is a technical issue, then the application is in backlog status, and an attempt to rerun the application will be made when the technical issue is resolved.

- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata")

- - entity_type
  - The type of entity:

    - **Sole Proprietor**
    - **Government Entity**
    - **Charity or NPO**
    - **Partnership**
    - **Public Listed Company**
    - **Private Limited Company**
    - **Registered Society** (only applicable for merchants with a sign-up country such as GB).

- - country
  - The two letter country code of the entity. Uppercase.

- - created_at
  - Time of creation of the object, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- - updated_at
  - Time of the last update of the object, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- - sell_type
  - The description of the sell type. See also [List Industries](https://docs.rapyd.net/en/list-industries.md "List Industries")

    - **Card Present** - Displays the text **In Person (Brick & Mortar)**.
    - **Card Not Present** - Displays the text **Online**.

- - business_industry
  - Four digit merchant category code of the business industry. See also [List Industries](https://docs.rapyd.net/en/list-industries.md "List Industries")

`Sections` object

Contains the data portion of the application. Contains these objects with their current values:

Sole Proprietor:

- `business` - General information about the business itself.
- `company` - Information about the identity of the company.
- `owner` - Information about the owner of the company.

Non-Sole Proprietor:

- `business` - General information about the business itself.
- `company` - Information about the identity of the company. All values are initially null.
- `AU` - Information about the authorized user or agent who is submitting the information on behalf of the company.
- `shareholders_3` - When relevant, includes information about the fourth owner of the business, including the high-level management executives hired by the business owners or board of directors.
- `shareholders_2` -  When relevant, includes information about the third owner of the business, including the high-level management executives hired by the business owners or board of directors.
- `shareholders_1` - When relevant, includes information about the second owner of the business, including the high-level management executives hired by the business owners or board of directors.
- `shareholders_0` - Information about the first owner of the business, including the high-level management executives hired by the business owners or board of directors.

- /v1/partner/onboarding/application/:app_token/submit

- Submit Application filled out correctly
- ```curl
  curl -X post
  'https://api.rapyd.net/v1/partner/onboarding/application/app_f3b792abd8a64b89a32076b203248392/submit' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'merchant_account_id: your-merchant-account-here' \
  -d ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "Success",
          "response_code": "",
          "operation_id": "42e19078-152f-4675-9840-3b0f943d320b"
      },
      "data": {
          "token": "app_f3b792abd8a64b89a32076b203248392",
          "version": 7,
          "status": "SUBMITTED",
          "ewallet_token": "ewallet_d69b982d41deca618c5ff3a6b1fcd2ab",
          "metadata": {},
          "entity_type": "Government_Entity",
          "country": "FR",
          "created_at": 1751352565432,
          "updated_at": 1751353442293,
          "sell_type": "In Person (Brick and Mortar)",
          "business_industry": 4814,
          "sections": {
              "business": {
                  "trade_name": {
                      "trade_name": "Online Solutions"
                  },
                  "product_description": {
                      "business_desc": "Provide solutions"
                  },
                  "url": {
                      "business_url": "https://onlinepvtm.com"
                  },
                  "transaction_information": {
                      "avg_tpv_usd": "1",
                      "expectedMaximumTransactionAmount": "2",
                      "averageTimeBetweenPurchaseAndDeliveryInDays": "3",
                      "annual_revenue": "4"
                  },
                  "statement_descriptor": {
                      "statement_descriptor": "online"
                  },
                  "proof_of_address_document": {
                      "address_ref": [
                          "sample_pdf.pdf"
                      ]
                  },
                  "proof_of_address": {
                      "physical_address": "12th street",
                      "address_additional_details": null,
                      "postal_code": "75020",
                      "city": "AnyTown",
                      "state": null,
                      "country": "FR"
                  }
              },
              "company": {
                  "business_name": {
                      "business_name": "Online Solutions"
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "company_number": {
                      "registration_number": "12345678900012"
                  },
                  "address": {
                      "address": "december street",
                      "address_additional_details": null,
                      "postal_code": "75020",
                      "city": "AnyTown",
                      "state": null,
                      "us_state": null,
                      "country": "FR"
                  },
                  "company_documents": {
                      "company_documents": []
                  },
                  "vat_id": {
                      "tax_id": "FR12 345678901"
                  }
              },
              "AU": {
                  "name": {
                      "first_name": "Joe",
                      "last_name": "Smith"
                  },
                  "dob": {
                      "dob": "12/12/1991"
                  },
                  "address": {
                      "address": "marady P O",
                      "address_additional_details": null,
                      "postal_code": "75020",
                      "city": "AnyTown",
                      "state": null,
                      "country": "FR"
                  },
                  "title": {
                      "user_title": "Vice President"
                  },
                  "email": {
                      "email": "TEST12345@gmail12345.com"
                  },
                  "nationality": {
                      "nationality": "IS",
                      "additional_citizenships": null
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "identification": {
                      "id_type": "National ID",
                      "id": "X4RTBPFW4",
                      "id_img": [
                          "image (1).png"
                      ],
                      "government_id_img": []
                  },
                  "proof_of_address_document": {
                      "address_ref": [
                          "sample_pdf.pdf"
                      ]
                  }
              },
              "shareholders_control": {
                  "has_owner": {
                      "shareholder_exists": "No"
                  }
              },
              "shareholder_3": {
                  "type": {
                      "shareholder_type": "Individual"
                  },
                  "name": {
                      "first_name": "Joekoeri",
                      "last_name": "Smith"
                  },
                  "ownership": {
                      "ownership_percentage": "25"
                  },
                  "dob": {
                      "dob": "12/12/1996"
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "email": {
                      "email": "testnewnewnew@gmail12345.com"
                  },
                  "nationality": {
                      "nationality": "IS",
                      "additional_citizenships": null
                  },
                  "address": {
                      "address": "address new",
                      "address_additional_details": "address more",
                      "postal_code": "75020",
                      "city": "AnyTown",
                      "state": null,
                      "country": "FR"
                  },
                  "ownership_proof": {
                      "ownership_ref_type": []
                  }
              },
              "shareholder_2": {
                  "type": {
                      "shareholder_type": "Individual"
                  },
                  "name": {
                      "first_name": "Joemarrow",
                      "last_name": "Smith"
                  },
                  "ownership": {
                      "ownership_percentage": "25"
                  },
                  "dob": {
                      "dob": "12/12/1996"
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "email": {
                      "email": "testnewnew@gmail12345.com"
                  },
                  "nationality": {
                      "nationality": "IS",
                      "additional_citizenships": null
                  },
                  "address": {
                      "address": "address new",
                      "address_additional_details": "address more",
                      "postal_code": "75020",
                      "city": "NewTown",
                      "state": "AnyState",
                      "country": "FR"
                  },
                  "ownership_proof": {
                      "ownership_ref_type": []
                  }
              },
              "shareholder_1": {
                  "type": {
                      "shareholder_type": "Individual"
                  },
                  "name": {
                      "first_name": "Joeyaol",
                      "last_name": "Smith"
                  },
                  "ownership": {
                      "ownership_percentage": "25"
                  },
                  "dob": {
                      "dob": "12/12/1996"
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "email": {
                      "email": "testnew@gmail12345.com"
                  },
                  "nationality": {
                      "nationality": "IS",
                      "additional_citizenships": [
                          "US",
                          "FR"
                      ]
                  },
                  "address": {
                      "address": "address new",
                      "address_additional_details": null,
                      "postal_code": "75020",
                      "city": "NewTown",
                      "state": null,
                      "country": "FR"
                  },
                  "ownership_proof": {
                      "ownership_ref_type": []
                  }
              },
              "shareholder": {
                  "type": {
                      "shareholder_type": "Individual"
                  },
                  "name": {
                      "first_name": "Joe",
                      "last_name": "Smith"
                  },
                  "ownership": {
                      "ownership_percentage": "25"
                  },
                  "dob": {
                      "dob": "12/12/1990"
                  },
                  "phone": {
                      "phone_country_code": "FR",
                      "phone_number": "0109758351"
                  },
                  "email": {
                      "email": "test@t1234567.com"
                  },
                  "nationality": {
                      "nationality": "IS",
                      "additional_citizenships": null
                  },
                  "address": {
                      "address": "street 1",
                      "address_additional_details": null,
                      "postal_code": "75020",
                      "city": "NewTown",
                      "state": "Anystate",
                      "country": "FR"
                  },
                  "ownership_proof": {
                      "ownership_ref_type": []
                  }
              }
          },
          "link": "https://qaverify.rapyd.net/verify?token=happ_c9b521b121e849a8a6d3bc688a617bf1",
          "merchant_phone_number": {
              "country_code": "GB",
              "phone_number": "35445200"
          },
          "instructions": "The application has been submitted and is being reviewed by Rapyd's onboarding team."
      }
  }
  ```

- Submit Application already submitted successfully
- ```curl
  curl -X post
  'https://api.rapyd.net/v1/partner/onboarding/application/app_52b6e2a06c3f4159aec5d22199e5282e/submit' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'merchant_account_id: your-merchant-account-here' \
  -d ''
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_APPLICATION_ALREADY_SUBMITTED",
          "status": "ERROR",
          "message": "The request tried to save or submit an application, but the application has already been submitted. The request was rejected. Corrective action: None. Contact Client Support.",
          "response_code": "ERROR_APPLICATION_ALREADY_SUBMITTED",
          "operation_id": "a5ad6ca0-c803-4589-9cad-c098b1b37cd9"
      }
  }
  ```

- Submit Application not correctly filled out
- ```curl
  curl -X post
  'https://api.rapyd.net/v1/partner/onboarding/application/app_52b6e2a06c3f4159aec5d22199e5282e/submit' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'merchant_account_id: your-merchant-account-here' \
  -d ''
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_APPLICATION_NOT_VALID",
          "status": "ERROR",
          "message": "The application cannot be submitted since at least one of its required fields does not have a valid value. Before attempting to resubmit, run the ‘Retrieve Application’ method to view the errors in the relevant fields, and then run the ‘Update Application’ method with the corrected field values.",
          "response_code": "ERROR_APPLICATION_NOT_VALID",
          "operation_id": "02d20185-afcb-41e6-b8a3-7250d05deef0"
      }
  }
  ```

- Submit Application that must be filled out online
- ```curl
  curl -X post 'https://api.rapyd.net/v1/partner/onboarding/application/app_52b6e2a06c3f4159aec5d22199e5282e/submit' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'merchant_account_id: your-merchant-account-here' \
  -d ''
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_UPDATE_ONBOARDING_APPLICATION_MCC_NOT_SUPPORTED",
          "status": "ERROR",
          "message": "The MCC in the request is not supported. The request was rejected. Corrective action: The application must be filled out via its hosted page. The link to the application's hosted page appears at the end of the response code. hosted link: https://qaverify.rapyd.net/verify?token=happ_dfe379b51cf64298bd7ec1b50d76d50b",
          "response_code": "ERROR_UPDATE_ONBOARDING_APPLICATION_MCC_NOT_SUPPORTED",
          "operation_id": "63a9be8d-d779-49f2-90af-1dfd9750a98a"
      }
  }
  ```
